| Kea 3.0.2-git

timeouts.h File Reference
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Namespaces
namespace | isc
| Defines the logger used by the top-level component of kea-lfc.
namespace | isc::config

## Variables
constexpr long | isc::config::TIMEOUT_AGENT_FORWARD_COMMAND = 60000
| Timeout for the Control Agent to forward command to a Kea server, e.g.
constexpr long | isc::config::TIMEOUT_AGENT_IDLE_CONNECTION_TIMEOUT = 30000
| Timeout for the idle connection to be closed.
constexpr long | isc::config::TIMEOUT_AGENT_RECEIVE_COMMAND = 10000
| Timeout for the Control Agent to receive command over the RESTful interface.
constexpr long | isc::config::TIMEOUT_DEFAULT_HTTP_CLIENT_REQUEST = 10000
| Timeout for the HTTP clients awaiting a response to a request.
constexpr long | isc::config::TIMEOUT_DHCP_SERVER_RECEIVE_COMMAND = 10000
| Timeout for the DHCP server to receive command over the unix domain socket.